import React from 'react';
import { message, Select } from 'antd';
import { connect } from 'dva';

const { Option } = Select;

function InnerContactField(props) {
  const { value, userList, onChange } = props;
  return (
    <Select
      showSearch
      onChange={value => {
        onChange(String(value));
        // onChange(JSON.stringify([value]));
      }}
      filterOption={(input, option) => option.children.toLowerCase().includes(input.toLowerCase())}
    >
      {(userList || []).map(item => (
        <Option key={item.ID} value={item.ID}>
          {item.CName}
        </Option>
      ))}
    </Select>
  );
}

export default connect(({ user }) => ({
  userList: user.list,
}))(InnerContactField);
